

%define __os_install_post %{nil}

Name:	simplex-desktop
Version:	5.3.1
Release:	%mkrel 1
License:	GPLv3
Group:	Networking/Chat
Summary:	A messaging platform operating without user identifiers of any kind - private by design!
Url:		https://simplex.chat
Source1:    %{name}.desktop
Source2:   %{name}.png
AutoReqProv: no

%description
Unlike other messaging platforms, SimpleX has no identifiers assigned to the users. It does not rely on phone numbers, domain-based addresses (like email or XMPP), usernames, public keys or even random numbers to identify its users — we don't know how many people use our SimpleX servers.

To deliver messages SimpleX uses pairwise anonymous addresses of unidirectional message queues, separate for received and sent messages, usually via different servers. Using SimpleX is like having a different “burner” email or phone for each contact, and no hassle to manage them.

This design protects the privacy of who you are communicating with, hiding it from SimpleX platform servers and from any observers. To hide your IP address from the servers, you can connect to SimpleX servers via Tor.


%prep

%build

%install
pushd %{_sourcedir}
wget -nc https://github.com/simplex-chat/simplex-chat/releases/download/v%{version}/simplex-desktop-x86_64.AppImage
popd

install -Dm 0755 %{_sourcedir}/simplex-desktop-x86_64.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%post
%update_menus

%postun
%clean_menus

%changelog
* Fri Sep 29 2023 tex - 5.3.1-1pclos2023
- create pkg
